Attack Defense (Template)
3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAttackDefenseSettingTemplate | GET | Get attack and defense template setting |
| modifyAttackDefenseSettingTemplate | PATCH | Modify attack and defense template setting |
| resetAttackDefenseSettingTemplate | PATCH | Reset attack and defense template setting |
getAttackDefenseSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/attack-defense
Get attack and defense template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getAttackDefenseSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get attack and defense template setting.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyAttackDefenseSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/attack-defense
Modify attack and defense template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema AttackDefenseSetting
| Field | Type | Required | Description |
|---|---|---|---|
tcpConnEnable | boolean | yes | Multi-connections TCP SYN flood enable of the attack defense setting. |
tcpConnLimit | integer | no | Multi-connections TCP SYN flood limit should be within the range of 100–99999. |
udpConnEnable | boolean | yes | Multi-connections UDP flood enable of the attack defense setting. |
udpConnLimit | integer | no | Multi-connections UDP flood limit should be within the range of 100–99999. |
icmpConnEnable | boolean | yes | Multi-connections ICMP flood enable of the attack defense setting. |
icmpConnLimit | integer | no | Multi-connections ICMP flood limit should be within the range of 100–99999. |
tcpSrcEnable | boolean | yes | Stationary source TCP SYN flood enable of the attack defense setting. |
tcpSrcLimit | integer | no | Stationary source TCP SYN flood limit should be within the range of 100–99999. |
udpSrcEnable | boolean | yes | Stationary source UDP flood enable of the attack defense setting. |
udpSrcLimit | integer | no | Stationary source UDP flood limit should be within the range of 100–99999. |
icmpSrcEnable | boolean | yes | Stationary source ICMP flood enable of the attack defense setting. |
icmpSrcLimit | integer | no | Stationary source ICMP flood limit should be within the range of 100–99999. |
tcpScanEnable | boolean | yes | Block TCP scan enable of the attack defense setting. |
tcpScanReject | boolean | no | Block TCP scan with reject of the attack defense setting. |
pingDeathEnable | boolean | yes | Block ping of death of the attack defense setting. |
largePingEnable | boolean | yes | Block large ping of the attack defense setting. |
largePingThreshold | integer | no | Block large ping threshold of the attack defense setting, Value is between 28 and 65535. |
pingWanEnable | boolean | yes | Block ping from WAN of the attack defense setting. |
winNukeAttackEnable | boolean | yes | Block WinNuke attack of the attack defense setting. |
tcpSynFinEnable | boolean | yes | Block TCP packets with SYN and FIN Bits set of the attack defense setting. |
tcpFinNoAckEnable | boolean | yes | Block TCP packets with FIN Bit set but no ACK Bit set of the attack defense setting. |
specifiedOptionEnable | boolean | yes | Block packets with specified options of the attack defense setting. |
specifiedOption | SpecifiedOptionOpenApiVO | no | (SpecifiedOptionOpenApiVO not expanded; call omada_get_schema "SpecifiedOptionOpenApiVO") |
icmpTimestampRequestReject | boolean | no | ICMP Timestamp Request setting of the attack defense setting. |
// omada_call_operation
{
"operationId": "modifyAttackDefenseSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify attack and defense template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33667 - The gateway does not support custom large ping threshold.
-33668 - The gateway does not support Block TCP Scan with RST.
-33669 - The gateway does not support ICMP Timestamp Request.
resetAttackDefenseSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/attack-defense/reset
Reset attack and defense template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "resetAttackDefenseSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Reset attack and defense template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify